Last Comment Bug 688783 - Back out bug 641836 to fix keyboard issues until bug 669995 is fixed
: Back out bug 641836 to fix keyboard issues until bug 669995 is fixed
Status: VERIFIED FIXED
: verified-beta
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Trunk
: All Android
: -- normal (vote)
: Firefox 8
Assigned To: Matt Brubeck (:mbrubeck)
:
Mentors:
Depends on: 669995
Blocks: 641836
  Show dependency treegraph
 
Reported: 2011-09-23 10:09 PDT by Matt Brubeck (:mbrubeck)
Modified: 2013-12-10 10:00 PST (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
backout (10.51 KB, patch)
2011-09-23 12:15 PDT, Matt Brubeck (:mbrubeck)
mark.finkle: review+
asa: approval‑mozilla‑beta+
Details | Diff | Review

Description Matt Brubeck (:mbrubeck) 2011-09-23 10:09:04 PDT
The landing of bug 641836 caused a regression that prevents the keyboard from opening in on Etherpad, Jobvite, and many other sites that use JavaScript to switch focus when a text field is clicked.

We shipped this regression in Firefox 6 and 7 because we didn't realize the extent of the problem in time to back it out.  However, with the increase in Nightly/Aurora users we are seeing a ton of duplicate bugs and finding more sites that this effects.  We should back out bug 641836 until the regression can be fixed.
Comment 1 Matt Brubeck (:mbrubeck) 2011-09-23 12:15:55 PDT
Created attachment 562126 [details] [diff] [review]
backout

This is just a complete backout of bug 641836.  Requesting approval-mozilla-aurora for Firefox 8.  This backs out a change that caused a serious user-visible regression in Firefox 6.  See comment 0 for more discussion.  I believe this is low-risk; it restores the code that we shipped in Firefox 4 and 5.
Comment 2 Mark Finkle (:mfinkle) (use needinfo?) 2011-09-23 12:48:24 PDT
Comment on attachment 562126 [details] [diff] [review]
backout

I agree that backing this out will (hopefully) result in fixing many recently filed keyboard bugs.

The IME code is being rewritten, so hopefully we can address the original bug a little better.

Let's get this on trunk ASAP so we can do some quick tests.
Comment 4 Ed Morley [:emorley] 2011-09-23 20:48:14 PDT
https://hg.mozilla.org/mozilla-central/rev/eadc362c7929
Comment 5 Matt Brubeck (:mbrubeck) 2011-09-27 15:25:44 PDT
Landed on Beta for Firefox 8:
https://hg.mozilla.org/releases/mozilla-beta/rev/61c8d142f5d3
Comment 6 Cristian Nicolae (:xti) 2011-09-29 01:47:05 PDT
Virtual Keyboard is triggered when opening an Etherpad webpage on the latest Beta build. I'm able to change the name and to chat, but when I tap on the Etherpad body, the Vkb is still displayed, but the cursor is missing. If I hit any character key in this case, nothing is typed on the left side. Should I close this issue as verified fixed?

--
Mozilla/5.0 (Android;Linux armv7l;rv:8.0)Gecko/20110928
Firefox/8.0 Fennec/8.0
Device: Samsung Galaxy S
OS: Android 2.2
Comment 7 Matt Brubeck (:mbrubeck) 2011-09-29 11:01:01 PDT
(In reply to Cristian Nicolae (:xti) from comment #6)
> Virtual Keyboard is triggered when opening an Etherpad webpage on the latest
> Beta build. I'm able to change the name and to chat, but when I tap on the
> Etherpad body, the Vkb is still displayed, but the cursor is missing. If I
> hit any character key in this case, nothing is typed on the left side.
> Should I close this issue as verified fixed?

Yes, please.  File separate bugs (if they are not filed yet) for Etherpad issues other than the keyboard not appearing.
Comment 8 Camelia Urian 2011-10-05 07:02:08 PDT
Based on previous 2 comments, marking as verified fixed.

Note You need to log in before you can comment on or make changes to this bug.